<?php
if( isset( $iContent ) && is_numeric( $iContent ) ){
  $aData = $oPage->throwPage( $iContent );
  if( isset( $aData ) ){
    if( !empty( $aData['sMetaKeywords'] ) )
      $sKeywords = $aData['sMetaKeywords'];
    if( !empty( $aData['sMetaDescription'] ) )
      $sDescription = $aData['sMetaDescription'];
    if( empty( $aData['sDescriptionFull'] ) )
      $aData['sDescriptionFull'] = $aData['sDescriptionShort'];

    $aData['sPagesTree'] = $oPage->throwPagesTree( $iContent );
    $aData['sDescriptionFull'] = changeTxt( $aData['sDescriptionFull'], 'nlNds' );

    $sPagesTree = !empty( $aData['sPagesTree'] ) ? $oTpl->tbHtml( $config['default_pages_template'], 'PAGES_TREE' ) : null;
    $sTitle = strip_tags( ( !empty( $aData['sNameTitle'] ) ? $aData['sNameTitle'] : $aData['sName'] ).' - ' );
    $sSubpagesList = $oPage->listSubpages( $iContent, $config['default_pages_template'] );
    $sImages = $oImage->listImages( $iContent, $config['default_pages_template'] );

    $oTpl->unsetVariables( );
    $content .= $oTpl->tbHtml( $config['default_pages_template'], 'CONTAINER' );
  }
  else{
    $content .= $oTpl->tbHtml( 'messages.tpl', 'ERROR' );
  }
}
?>